## trollimage 1.6.3

=== debian/changelog ===
trollimage (1.6.3-1) unstable; urgency=medium

  * Initial version (Closes: #916550)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 25 Dec 2018 11:57:08 +0000

## trollimage 1.20.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/TrollImage.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/TrollImage.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/TrollImage"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/TrollImage"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## trollimage 1.7.0

=== debian/changelog ===
trollimage (1.7.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches
    - refresh all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 01 Mar 2019 06:54:52 +0000

=== debian/control ===
Source: trollimage
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Testsuite: autopkgtest-pkg-python
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-dask,
               python3-numpy (>= 1:1.13),
               python3-pil,
               python3-rasterio,
               python3-setuptools,
               python3-six,
               python3-xarray
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/trollimage
Vcs-Git: https://salsa.debian.org/debian-gis-team/trollimage.git
Homepage: https://github.com/pytroll/trollimage

Package: python3-trollimage
Architecture: all
Depends: python3-numpy (>= 1:1.13),
         python3-pil,
         python3-six,
         ${python3:Depends},
         ${misc:Depends}
Recommends: python3-dask,
            python3-rasterio,
            python3-xarray,
            ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Pytroll imaging library
 Trollimage is a collection of modules that assist with basic image
 management in pytroll packages.
 It provides modules for easy management of images, colorspaces and
 colormaps.

## trollimage 1.9.0

=== debian/changelog ===
trollimage (1.9.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update gbp.conf to use --source-only-changes by default.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/pathces:
    - refresh all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 09 Jul 2019 06:35:44 +0000

## trollimage 1.10.1

=== debian/changelog ===
trollimage (1.10.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 30 Sep 2019 05:33:09 +0000

trollimage (1.10.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - refresh all patches
  * debian/control:
    - explicit specification of Rules-Requires-Root

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 22 Sep 2019 07:13:42 +0000

trollimage (1.9.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0, no changes.
  * Use debhelper-compat instead of debian/compat.
  * Set compat to 12.
  * Set upstream metadata fields: Contact.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 02 Sep 2019 06:17:09 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
+Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 Priority: optional
-Testsuite: autopkgtest-pkg-python
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-dask,
@@ -14,7 +15,7 @@
                python3-setuptools,
                python3-six,
                python3-xarray
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/trollimage
 Vcs-Git: https://salsa.debian.org/debian-gis-team/trollimage.git
 Homepage: https://github.com/pytroll/trollimage

## trollimage 1.11.0

=== debian/changelog ===
trollimage (1.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.
  * debian/patches:
    - refresh all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 28 Oct 2019 07:06:03 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-setuptools,
                python3-six,
                python3-xarray
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/trollimage
 Vcs-Git: https://salsa.debian.org/debian-gis-team/trollimage.git
 Homepage: https://github.com/pytroll/trollimage

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\.?\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|trollimage)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/trollimage-$1.$2/,\
repacksuffix=+ds \
https://github.com/pytroll/trollimage/releases \
(?:.*?/archive/)?(?:rel|v|trollimage)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## trollimage 1.12.0

=== debian/changelog ===
trollimage (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes.
  * Refresh all patches.
  * Remove dependency on python3-six (upstream dropped to Python 2).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 04 Mar 2020 06:56:32 +0000

## trollimage 1.13.0

=== debian/changelog ===
trollimage (1.13.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - refresh all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 13 Jun 2020 06:11:28 +0000

## trollimage 1.14.0

=== debian/changelog ===
trollimage (1.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 23 Sep 2020 06:55:13 +0000

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,8 @@
                python3-pil,
                python3-rasterio,
                python3-setuptools,
-               python3-six,
                python3-xarray
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/trollimage
 Vcs-Git: https://salsa.debian.org/debian-gis-team/trollimage.git
 Homepage: https://github.com/pytroll/trollimage
@@ -24,7 +23,6 @@
 Architecture: all
 Depends: python3-numpy (>= 1:1.13),
          python3-pil,
-         python3-six,
          ${python3:Depends},
          ${misc:Depends}
 Recommends: python3-dask,

## trollimage 1.16.0

=== debian/changelog ===
trollimage (1.16.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - refresh all patches.
  * debian/control:
    - drop versioned dependency on numpy
    - reformat with cme

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 16 Oct 2021 16:18:57 +0000

trollimage (1.15.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.5.1, no changes.
  * Update watch file for GitHub URL changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - refresh all patches
    - new 0002-Install-tests.patch
  * Add autopkgtests.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 18 Aug 2021 08:24:35 +0000

=== debian/watch ===
--- 
+++ 
@@ -5,4 +5,4 @@
 filenamemangle=s/(?:.*?)?(?:rel|v|trollimage)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/trollimage-$1.$2/,\
 repacksuffix=+ds \
 https://github.com/pytroll/trollimage/releases \
-(?:.*?/archive/)?(?:rel|v|trollimage)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
+(?:.*?/archive/(?:.*?/)?)?(?:rel|v|trollimage)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## trollimage 1.16.1

=== debian/changelog ===
trollimage (1.16.1-1) unstable; urgency=medium

  * New upstream releae.
  * Updated d/copyright file.
  * debian/patches:
    - refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 27 Nov 2021 09:15:36 +0000

## trollimage 1.17.0

=== debian/changelog ===
trollimage (1.17.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 11 Dec 2021 14:17:05 +0000

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,26 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-dask,
-               python3-numpy (>= 1:1.13),
+               python3-numpy,
                python3-pil,
+               python3-pytest,
                python3-rasterio,
                python3-setuptools,
                python3-xarray
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/trollimage
 Vcs-Git: https://salsa.debian.org/debian-gis-team/trollimage.git
 Homepage: https://github.com/pytroll/trollimage
+Rules-Requires-Root: no
 
 Package: python3-trollimage
 Architecture: all
-Depends: python3-numpy (>= 1:1.13),
+Depends: python3-numpy,
          python3-pil,
          ${python3:Depends},
          ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=trollimage

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean

	$(RM) -r *.egg-info

=== debian/tests/control ===
Tests: python3
Depends: @, @builddeps@

## trollimage 1.18.3

=== debian/changelog ===
trollimage (1.18.3-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.
  * Use supported python3 versions in autopkgtest.

  [ Antonio Valentino ]
  * Fix d/copyright formatting.
  * Add test-dependency on python3-all to d/tests/control.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Oct 2022 17:40:58 +0000

trollimage (1.18.3-1) unstable; urgency=medium

  * New upstream release.
  * Refresh all parches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 10 Mar 2022 07:10:51 +0000

trollimage (1.18.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 06 Mar 2022 08:56:35 +0000

trollimage (1.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 01 Mar 2022 07:11:08 +0000

trollimage (1.18.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - refresh all patches.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 25 Feb 2022 07:43:15 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-rasterio,
                python3-setuptools,
                python3-xarray
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/trollimage
 Vcs-Git: https://salsa.debian.org/debian-gis-team/trollimage.git
 Homepage: https://github.com/pytroll/trollimage

## trollimage 1.19.0

=== debian/changelog ===
trollimage (1.19.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - refresh all patches.
  * debian/control:
    - update build-dependencies: pyproj and pyresample.
  * Update copyright date in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 23 Oct 2022 14:08:19 +0000

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,8 @@
                python3-dask,
                python3-numpy,
                python3-pil,
+               python3-pyproj,
+               python3-pyresample,
                python3-pytest,
                python3-rasterio,
                python3-setuptools,

## trollimage 1.20.0

=== debian/changelog ===
trollimage (1.20.0-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright.
  * debian/patches:
    - drop 0001-Remove-usage-of-deprecated-np.float.patch
    - refresh and renumber remaining patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 17 Jan 2023 06:50:34 +0000

trollimage (1.19.0-2) unstable; urgency=medium

  * Team upload.
  * Enable numpy3 dh helper.
  * Enable Salsa CI.
  * Add upstream patch to fix FTBFS with Numpy 1.24.
    (closes: #1027204)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 09 Jan 2023 10:07:23 +0100

=== debian/control ===
--- 
+++ 
@@ -24,15 +24,12 @@
 
 Package: python3-trollimage
 Architecture: all
-Depends: python3-numpy,
-         python3-pil,
+Depends: python3-pil,
          ${python3:Depends},
          ${misc:Depends}
 Recommends: python3-dask,
             python3-rasterio,
-            python3-xarray,
-            ${python3:Recommends}
-Suggests: ${python3:Suggests}
+            python3-xarray
 Description: Pytroll imaging library
  Trollimage is a collection of modules that assist with basic image
  management in pytroll packages.

## trollimage 1.20.1

=== debian/changelog ===
trollimage (1.20.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.2, no changes.

  [ Antonio Valentino ]
  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 04 Feb 2023 08:22:03 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-rasterio,
                python3-setuptools,
                python3-xarray
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/trollimage
 Vcs-Git: https://salsa.debian.org/debian-gis-team/trollimage.git
 Homepage: https://github.com/pytroll/trollimage

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export PYBUILD_NAME=trollimage
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3,numpy3 --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/tests/control ===
Tests: python3
Depends: @, @builddeps@, python3-all

## trollimage 1.21.0

=== debian/changelog ===
trollimage (1.21.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump debhelper compat to 13.
  * Remove generated files in clean target.
  * Switch to dh-sequence-*.

  [ Antonio Valentino ]
  * New upstream release.
  * Updaet d/copyright.
  * debian/control:
    - Update dependencies (cython3, pybuild-plugin-pyproject).
    - Use the <!nocheck> marker.
    - The package is now architectire any.
  * debian/patches:
    - Drop 0002-Install-tests.patch, no longer needed.
  * Switch to autopkgtest-pkg-pybuild and drop the
    no longer neded d/tests.
  * Update d/clean.
  * New d/python3-trollimage.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Sep 2023 10:30:05 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PYBUILD_NAME=trollimage
export PYBUILD_TEST_ARGS=--pyargs ${PYBUILD_NAME}

%:
	dh $@ --buildsystem=pybuild

## trollimage 1.22.0

=== debian/changelog ===
trollimage (1.22.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.
  * debian/rules:
    - Skip testt with too strict numerical acciracy
      (test_gamma_per_channel).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 24 Nov 2023 07:36:27 +0000

## trollimage 1.22.1

=== debian/changelog ===
trollimage (1.22.1-1) unstable; urgency=medium

  * New upstream release.
  * Disable SALSA_CI_DISABLE_CROSSBUILD_ARM64 in salsa CI.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 25 Nov 2023 07:53:22 +0000

## trollimage 1.22.2

=== debian/changelog ===
trollimage (1.22.2-1) unstable; urgency=medium

  * New upstream relese.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 01 Dec 2023 06:27:35 +0000

## trollimage 1.23.1

=== doc/Makefile ===
--- 
+++ 
@@ -35,6 +35,8 @@
 
 clean:
 	-rm -rf $(BUILDDIR)/*
+	-rm -rf api/*.rst
+	-rm -rf _static/colormaps/*.png
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

=== debian/changelog ===
trollimage (1.23.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:27:35 +1100

trollimage (1.23.1-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 29 Mar 2024 13:37:20 +0000

trollimage (1.23.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 17 Feb 2024 16:37:04 +0000

trollimage (1.23.0-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 14 Feb 2024 18:48:55 +0000

=== debian/control ===
Source: trollimage
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-dask,
               python3-numpy,
               python3-pil,
               python3-pyproj <!nocheck>,
               python3-pyresample <!nocheck>,
               python3-pytest <!nocheck>,
               python3-rasterio,
               python3-setuptools,
               python3-versioneer,
               python3-xarray
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/trollimage
Vcs-Git: https://salsa.debian.org/debian-gis-team/trollimage.git
Homepage: https://github.com/pytroll/trollimage
Rules-Requires-Root: no

Package: python3-trollimage
Architecture: any
Depends: python3-pil,
         ${python3:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: python3-dask,
            python3-rasterio,
            python3-xarray
Description: Pytroll imaging library
 Trollimage is a collection of modules that assist with basic image
 management in pytroll packages.
 It provides modules for easy management of images, colorspaces and
 colormaps.

## trollimage 1.24.0

=== debian/changelog ===
trollimage (1.24.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 23 Jun 2024 16:21:09 +0000

trollimage (1.23.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - New 0002-Compatibility-with-numpy-2.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 20 Apr 2024 08:20:57 +0000

## trollimage 1.25.0

=== debian/changelog ===
trollimage (1.25.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 15 Aug 2024 15:02:36 +0000

## trollimage 1.26.0

=== debian/changelog ===
trollimage (1.26.0-1build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 14:06:30 +0000

trollimage (1.26.0-1build2) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 31 Jan 2025 14:59:47 +0000

trollimage (1.26.0-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Nov 2024 13:40:30 +0100

trollimage (1.26.0-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 24 Oct 2024 05:47:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: trollimage
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Testsuite: autopkgtest-pkg-pybuild
@@ -22,7 +21,7 @@
                python3-setuptools,
                python3-versioneer,
                python3-xarray
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/trollimage
 Vcs-Git: https://salsa.debian.org/debian-gis-team/trollimage.git
 Homepage: https://github.com/pytroll/trollimage

## trollimage 1.27.0

=== debian/changelog ===
trollimage (1.27.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update lintian overrides.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - Drop 0002-Compatibility-with-numpy-2.patch, no longer needed.
    - Drop 0003-Pillow-11.3-compat.patch, applied upstream.
    - Refresh remaining patches.
    - New 0002-Fix-compatibility-with-cython-3.1.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 18 Sep 2025 06:33:30 +0000

trollimage (1.26.0-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * Update dates in d/copyright.
  * Add "Forwarded: not-needed" tag to 0001-No-display.patch.
  * debian/patches:
    - New 0003-Pillow-11.3-compat.patch (closes: #1112370).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 30 Aug 2025 18:09:44 +0000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                python3-setuptools,
                python3-versioneer,
                python3-xarray
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/trollimage
 Vcs-Git: https://salsa.debian.org/debian-gis-team/trollimage.git
 Homepage: https://github.com/pytroll/trollimage

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,11 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export PYBUILD_NAME=trollimage
-export PYBUILD_TEST_ARGS=--pyargs ${PYBUILD_NAME}
+
+# skip tests with too strict numerical accuracy
+export PYBUILD_TEST_ARGS=\
+-k "not test_gamma_per_channel" \
+--pyargs ${PYBUILD_NAME}
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\.?\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|trollimage)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/trollimage-$1.$2/,\
repacksuffix=+ds \
https://github.com/pytroll/trollimage/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|trollimage)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## trollimage 1.28.0

=== debian/changelog ===
trollimage (1.28.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Drop 0002-Fix-compatibility-with-cython-3.1.patch, Cython 3.1 in unstable.
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/copyright:
    - Project re-licensed to Apache-2.0.
    - Update dates in d/copyrigth.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 04 Feb 2026 19:39:40 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Testsuite: autopkgtest-pkg-pybuild
-Priority: optional
 Build-Depends: cython3,
                debhelper-compat (= 13),
                dh-python,
@@ -21,11 +20,10 @@
                python3-setuptools,
                python3-versioneer,
                python3-xarray
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/trollimage
 Vcs-Git: https://salsa.debian.org/debian-gis-team/trollimage.git
 Homepage: https://github.com/pytroll/trollimage
-Rules-Requires-Root: no
 
 Package: python3-trollimage
 Architecture: any
